# Uses of Interface
org.pentaho.reporting.libraries.formula.operators.InfixOperator

Packages that use InfixOperator
Package
Description
org.pentaho.reporting.libraries.formula.lvalues
org.pentaho.reporting.libraries.formula.operators
org.pentaho.reporting.libraries.formula.parser

## Uses of InfixOperator in org.pentaho.reporting.libraries.formula.lvalues

Methods in org.pentaho.reporting.libraries.formula.lvalues that return InfixOperator
Modifier and Type
Method
Description
`InfixOperator[]`
Term.`getOperators()`
Methods in org.pentaho.reporting.libraries.formula.lvalues with parameters of type InfixOperator
Modifier and Type
Method
Description
`void`
Term.`add(InfixOperator operator, LValue operand)`

## Uses of InfixOperator in org.pentaho.reporting.libraries.formula.operators

Classes in org.pentaho.reporting.libraries.formula.operators that implement InfixOperator
Modifier and Type
Class
Description
`class`
`AbstractCompareOperator`
Creation-Date: 06.06.2007, 18:52:25
`class`
`AbstractNumericOperator`
Creation-Date: 10.04.2007, 15:02:39
`class`
`AddOperator`
Null-Values are converted into ZERO
`class`
`ConcatOperator`
Concats two strings operator.
`class`
`DivideOperator`
A division operation.
`class`
`EqualOperator`
Creation-Date: 31.10.2006, 16:34:11
`class`
`GreaterEqualOperator`
Creation-Date: 31.10.2006, 16:34:11
`class`
`GreaterOperator`
Creation-Date: 31.10.2006, 16:34:11
`class`
`LesserEqualOperator`
Creation-Date: 31.10.2006, 16:34:11
`class`
`LesserOperator`
Creation-Date: 31.10.2006, 16:34:11
`class`
`MultiplyOperator`
Creation-Date: 31.10.2006, 16:34:11
`class`
`NotEqualOperator`
Creation-Date: 31.10.2006, 16:34:11
`class`
`PowerOperator`
This has to be implemented manually if we want to support arbitary precision.
`class`
`SubtractOperator`
Creation-Date: 31.10.2006, 16:34:11
Methods in org.pentaho.reporting.libraries.formula.operators that return InfixOperator
Modifier and Type
Method
Description
`InfixOperator`
DefaultOperatorFactory.`createInfixOperator(String operator)`
`InfixOperator`
OperatorFactory.`createInfixOperator(String operator)`

## Uses of InfixOperator in org.pentaho.reporting.libraries.formula.parser

Methods in org.pentaho.reporting.libraries.formula.parser that return InfixOperator
Modifier and Type
Method
Description
`final InfixOperator`
GeneratedFormulaParser.`getInfixOperator()`